kmdi Library: KMDIPrivate::KMDIGUIClient Class Reference (kmdi Library)

| # kmdi Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KMDIPrivate::KMDIGUIClient Class Reference

A class derived from KXMLGUIClient that handles the various KMDI modes. More...

`#include <kmdiguiclient.h>`

Inheritance diagram for KMDIPrivate::KMDIGUIClient:

[legend]
Collaboration diagram for KMDIPrivate::KMDIGUIClient:

[legend]
List of all members.

## Signals
void | toggleTop ()
void | toggleLeft ()
void | toggleRight ()
void | toggleBottom ()
## Public Member Functions
| KMDIGUIClient (KMdiMainFrm *mdiMainFrm, bool showMDIModeAction, const char *name=0)
void | addToolView (KMdiToolViewAccessor *)

## Detailed Description

A class derived from KXMLGUIClient that handles the various KMDI modes.

Definition at line 41 of file kmdiguiclient.h.

## Member Function Documentation

void KMDIGUIClient::addToolView | ( | KMdiToolViewAccessor * |  | ) |

| Add a new tool view to this KMDIGUIClient. Reads the shortcut for the tool view from the KMDI application's config file and also adds a ToggleToolViewAction so that the visibility of the toolviews can be turned on and off Definition at line 246 of file kmdiguiclient.cpp. References QPtrList::append(), QObject::connect(), QObject::destroyed(), QPtrList::insert(), and QString::latin1().

void KMDIPrivate::KMDIGUIClient::toggleTop | ( |  | ) | `[signal]`

| Toggle the top tool dock.

void KMDIPrivate::KMDIGUIClient::toggleLeft | ( |  | ) | `[signal]`

| Toggle the left tool dock.

void KMDIPrivate::KMDIGUIClient::toggleRight | ( |  | ) | `[signal]`

| Toggle the right tool dock.

void KMDIPrivate::KMDIGUIClient::toggleBottom | ( |  | ) | `[signal]`

| Toggle the bottom tool dock.

The documentation for this class was generated from the following files:

- kmdiguiclient.h
- kmdiguiclient.cpp

This file is part of the documentation for kmdi Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:32:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003